Subject: Re: [OPSAWG] CALL FOR ADOPTION: draft-bgbw-opsawg-vpn-common

From: "Joe Clarke (jclarke)" <[email-masked]>
Date: Wed, 2 Sep 2020 14:48:15 +0000

Sorry for the delay closing this.

It seems that there is a considerable amount of support for adopting this work.  Additionally, there were comments from Tom, Italo, and Dhurv around scope and potential issues with the current text.  From my reading, the authors have acknowledged those comments and will make changes as the document progresses.

To that end, authors: please rename this document draft-ietf-opsawg-vpn-common.  DO NOT make any other changes to the text.  Upload this as a -00 to Data Tracker and indicate that it replaces draft-bgbw-opsawg-vpn-common.

Thanks.

Joe and Tianran

> On Aug 13, 2020, at 08:49, Joe Clarke (jclarke) <jclarke=[email-masked]> wrote:
> 
> Hello, WG members.  On the IETF 108 virtual meeting, Oscar presented the status of the L3NM, L2NM, and the VPN common work.  While this VPN common YANG module started as an individual document (per the chairs’ request), the L2NM and L3NM modules need to choose a direction for how to handle common typedefs and groupings between them.
> 
> On the virtual meeting we did a hum which indicated “Pianissimo” support.  Again, the hum system had some interesting rules, so this is not conclusive, but seems to favor that this common module work should exist as its own, standalone document that both L2NM and L3NM will consume.  In this manner, one would not need to import either L2NM or L3NM to make use of/extend these common attributes.
> 
> To that end, the chairs would like a call for adoption of draft-bgbw-opsawg-vpn-common.  Additionally, comments on the approach and the choice of common attributes are welcome, especially from those that were unable to attend the IETF 108 virtual meeting.
> 
> This serves as a two week call for adoption ending on August 27, 2020.
> 
> Thanks.
> 
> Joe
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg

---

From: Italo Busi <[email-masked]>
Date: Wed, 23 Sep 2020 09:39:12 +0000

Hi Tom,

I agree that revisions of this YANG model should follow the rules in section 11 of RFC7950.

I am proposing to select a name for the module which reflects it potential wider scope even if the first revision of the module has a limited scope. In this way, there is no need to change the module name to reflect a broader scope of future revisions.

Thanks, Italo

> -----Original Message-----
> From: tom petch [mailto:[email-masked]]
> Sent: lunedì 24 agosto 2020 13:37
> To: Italo Busi <[email-masked]>; Joe Clarke (jclarke)
> <[email-masked]>; opsawg <[email-masked]>
> Subject: Re: [OPSAWG] CALL FOR ADOPTION: draft-bgbw-opsawg-vpn-
> common
> 
> From: OPSAWG <[email-masked]> on behalf of Italo Busi
> <[email-masked]>
> Sent: 24 August 2020 10:56
> 
> I support the adoption of this draft as WG document
> 
> I think the scope of the draft/model can also be extended to be applicable to
> any service-type module and not being limited to only L2VPN and L3VPN. For
> example we can call it svc-common rather than vpn-common.
> 
> Regarding the approach, my preference is to include in the common module
> all the types/groupings which are common.
> 
> In order not to delay the progress of L3NM, it is possible to follow the same
> approach that has been followed in CCAMP WG with layer0-types: once L3NM
> is ready for WG LC, it is possible to move forward for WG LC only the common
> types/groupings which are needed by L3NM (as first revision of the common
> YANG module) and to move the types/groupings needed by other on-going
> work (e.g., L2NM) into a new draft which is intended to become a second
> revision of the common YANG module.
> 
> <tp>
> Italo
> 
> A point to be aware of is that there are rules about what you can and cannot
> do when revising a YANG module.  RFC7950 s.11 has a long list thereof of
> which those relating to enum and type have come up in the past.  If you want
> to do something that is not permitted, then you have to change the module
> name, which would seem to defeat the purpose of this particular exercise so it
> is important to get it right first time..
> 
> Tom Petch
> 
> 
> 
> My 2 cents
> 
> Italo
> 
> > -----Original Message-----
> > From: Joe Clarke (jclarke) [mailto:[email-masked]]
> > Sent: giovedì 13 agosto 2020 14:49
> > To: opsawg <[email-masked]>
> > Subject: [OPSAWG] CALL FOR ADOPTION: draft-bgbw-opsawg-vpn-common
> >
> > Hello, WG members.  On the IETF 108 virtual meeting, Oscar presented
> > the status of the L3NM, L2NM, and the VPN common work.  While this VPN
> > common YANG module started as an individual document (per the chairs'
> > request), the L2NM and L3NM modules need to choose a direction for how
> > to handle common typedefs and groupings between them.
> >
> > On the virtual meeting we did a hum which indicated "Pianissimo" support.
> > Again, the hum system had some interesting rules, so this is not
> > conclusive, but seems to favor that this common module work should
> > exist as its own, standalone document that both L2NM and L3NM will
> > consume.  In this manner, one would not need to import either L2NM or
> > L3NM to make use of/extend these common attributes.
> >
> > To that end, the chairs would like a call for adoption of
> > draft-bgbw-opsawg- vpn-common.  Additionally, comments on the approach
> > and the choice of common attributes are welcome, especially from those
> > that were unable to attend the IETF 108 virtual meeting.
> >